[Rubygems-developers] Revision 2154 Results on Windows (mingw32and mswin32)

Luis Lavena luislavena at gmail.com
Wed Apr 8 10:56:09 EDT 2009


On Wed, Apr 8, 2009 at 11:10 AM, Berger, Daniel <Daniel.Berger at qwest.com> wrote:
>
>
>> -----Original Message-----
>> From: rubygems-developers-bounces at rubyforge.org
>> [mailto:rubygems-developers-bounces at rubyforge.org] On Behalf
>> Of Eric Hodel
>> Sent: Tuesday, April 07, 2009 9:23 PM
>> To: RubyGems developers mailing list
>> Subject: Re: [Rubygems-developers] Revision 2154 Results on
>> Windows (mingw32and mswin32)
>>
>>
>> On Apr 6, 2009, at 20:54, Luis Lavena wrote:
>>
>> > The Following are the pasties containing different versions of Ruby
>> > 1.8.6 (from p114 to p368 silently released last week).
>> >
>> > mingw32:
>> > http://pastie.org/439209
>>
>> There have been some changes to optparse, I see the
>> test_add_option_overlapping_common_and_local_options failure with:
>>
>> ruby 1.8.8dev (2009-04-06 revision 23143) [i386-darwin9.6.0]
>>
>> and see some diffs from apple ruby (1.8.6) too.
>
> Oh, for the love of...
>

I said exactly the same.

That's why I'm sticking to 1.8.6, but it seems they backported some
weird stuff even to that.

> So, now're we're going to start having to check the version of Ruby, even within the 1.8.x branch? Or is there a more generic approach we can take?

I really don't know, and basically we will end being a huge mess of
code to workaround all those issues between versions.

-- 
Luis Lavena
AREA 17
-
Perfection in design is achieved not when there is nothing more to add,
but rather when there is nothing more to take away.
Antoine de Saint-Exupéry


More information about the Rubygems-developers mailing list